@charset "UTF-8";

@media print, screen
{

.wp-block-cojina-cblock-separator
{
	--BdW: 100;
	--BdH: 1;
	--C1: black;
	--C2: transparent;

	width: calc(var(--BdW) * 1%);
	height: calc(var(--BdH) * 1px);

	margin-block: 0;
	margin-inline: auto;

	background: none;
	border: none;
}
*:has(+ .wp-block-cojina-cblock-separator){	margin-bottom: 0 !important;	}

.wp-block-cojina-cblock-separator.AlL,	.is-root-container .wp-block-cojina-cblock-separator.AlL{	margin-inline: 0 auto !important;	}
.wp-block-cojina-cblock-separator.AlR,	.is-root-container .wp-block-cojina-cblock-separator.AlR{	margin-inline: auto 0 !important;	}

.wp-block-cojina-cblock-separator.lineA{	background: var(--C1);	}
.wp-block-cojina-cblock-separator.lineB
{
	border-top: 1px solid var(--C1);
	border-bottom: 1px solid var(--C1);
}

.wp-block-cojina-cblock-separator.gradA{	background: linear-gradient(90deg,var(--C2) 0%,	var(--C1) 50%,	var(--C2) 100%);	}
.wp-block-cojina-cblock-separator.dotA
{
	background: linear-gradient(90deg,
		var(--C1) 0px,
		var(--C1) 4px,
		var(--C2) 4px,
		var(--C2) 7px
	) repeat-x center/7px;
}
.wp-block-cojina-cblock-separator.dotB
{
	background: repeating-linear-gradient(45deg,
		var(--C1) 0px,
		var(--C1) 3px,
		var(--C2) 0px,
		var(--C2) 50%
	) center/10px 10px;
}
.wp-block-cojina-cblock-separator.dotC
{
	height: calc(var(--BdH) * 2px);
	background: radial-gradient(circle,
		var(--C1) 0 40%,
		var(--C2) 45% 100%
	) center / calc(var(--BdH) * 2px) calc(var(--BdH) * 2px) repeat-x;
	border-radius: 10px;
}

/* ===== for editor ===== */
.is-root-container .wp-block-cojina-cblock-separator{	margin: 1rem auto;	}

}
@media screen and (max-width: 781px)
{

}

/* ======================================== end ======================================== */
